Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.PostOperationConfig

Enclosing interface:
  Configuration

    public static interface Configuration.PostOperationConfig

Post Operation config for FileAct. Note: When the file transfer is configured as blocking transfer (e.g. "Block File Transfer?") is "TRUE", the FileAct post operation will start up on the "Completed" file status retrieved from the blocking " check; otherwise, the post operation will start up on the "Completed" handle file event subscribed before.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getPostCommand()` Gets the Post Command (Rename|Remove|None)
`java.lang.String` | `getRenameToDirectoryName()` Gets the Rename To directory name.
`java.lang.String` | `getRenameToDirectoryStyle()` Gets the Rename To directory style (Pattern or Literal).
`java.lang.String` | `getRenameToFileName()` Gets the Rename To file name.
`java.lang.String` | `getRenameToFileStyle()` Gets the Rename To file style (Pattern or Literal).
`boolean` | `isPostCommandNone()` Checks whether the Post Command is None.
`boolean` | `isPostCommandRemove()` Checks whether the Post Command is Remove.
`boolean` | `isPostCommandRename()` Checks whether the Post Command is Rename.
`boolean` | `isRenameToDirectoryLiteral()` Checks whether the Rename To directory style is Literal.
`boolean` | `isRenameToDirectoryPattern()` Checks whether the Rename To directory style is Pattern.
`boolean` | `isRenameToFileLiteral()` Checks whether the Rename To file style is Literal.
`boolean` | `isRenameToFilePattern()` Checks whether the Rename To file style is Pattern.
`void` | `setPostCommand(java.lang.String postCommand)` Sets the Post Command (Rename|Remove|None)
`void` | `setRenameToDirectoryName(java.lang.String renameToDirectoryName)` Sets the Rename To directory name.
`void` | `setRenameToDirectoryStyle(java.lang.String renameToDirectoryStyle)` Sets the Rename To directory style (Pattern or Literal).
`void` | `setRenameToFileName(java.lang.String renameToFileName)` Sets the Rename To file name.
`void` | `setRenameToFileStyle(java.lang.String renameToFileStyle)` Sets the Rename To file style (Pattern or Literal).
`void` | `validate()` Validate method.

Method Detail

### getPostCommand

    java.lang.String getPostCommand()

  Gets the Post Command (Rename|Remove|None)

  Parameters:
    None.

  Returns:
    `String` - Returns Post Command.
  Throws:
    None.

### isPostCommandRename

    boolean isPostCommandRename()

  Checks whether the Post Command is Rename.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPostCommandRemove

    boolean isPostCommandRemove()

  Checks whether the Post Command is Remove.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPostCommandNone

    boolean isPostCommandNone()

  Checks whether the Post Command is None.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getRenameToDirectoryName

    java.lang.String getRenameToDirectoryName()

  Gets the Rename To directory name.

  Parameters:
    None.

  Returns:
    `String` - Returns Rename To directory name.
  Throws:
    None.

### getRenameToDirectoryStyle

    java.lang.String getRenameToDirectoryStyle()

  Gets the Rename To directory style (Pattern or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns Rename To directory style.
  Throws:
    None.

### isRenameToDirectoryPattern

    boolean isRenameToDirectoryPattern()

  Checks whether the Rename To directory style is Pattern.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isRenameToDirectoryLiteral

    boolean isRenameToDirectoryLiteral()

  Checks whether the Rename To directory style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getRenameToFileName

    java.lang.String getRenameToFileName()

  Gets the Rename To file name.

  Parameters:
    None.

  Returns:
    `String` - Returns Rename To file name.
  Throws:
    None.

### getRenameToFileStyle

    java.lang.String getRenameToFileStyle()

  Gets the Rename To file style (Pattern or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns Rename To file style.
  Throws:
    None.

### isRenameToFilePattern

    boolean isRenameToFilePattern()

  Checks whether the Rename To file style is Pattern.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isRenameToFileLiteral

    boolean isRenameToFileLiteral()

  Checks whether the Rename To file style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### setPostCommand

    void setPostCommand(java.lang.String postCommand)
                        throws SAGApplicationException

  Sets the Post Command (Rename|Remove|None)

  Parameters:
    `postCommand` - The post command
  Throws:
    `SAGApplicationException` - upon error.

### setRenameToDirectoryName

    void setRenameToDirectoryName(java.lang.String renameToDirectoryName)
                                  throws SAGApplicationException

  Sets the Rename To directory name.

  Parameters:
    `renameToDirectoryName` - The Rename To directory name
  Throws:
    `SAGApplicationException` - upon error.

### setRenameToDirectoryStyle

    void setRenameToDirectoryStyle(java.lang.String renameToDirectoryStyle)
                                   throws SAGApplicationException

  Sets the Rename To directory style (Pattern or Literal).

  Parameters:
    `renameToDirectoryStyle` - The Rename To directory style
  Throws:
    `SAGApplicationException` - upon error.

### setRenameToFileName

    void setRenameToFileName(java.lang.String renameToFileName)
                             throws SAGApplicationException

  Sets the Rename To file name.

  Parameters:
    `renameToFileName` - The Rename To file name
  Throws:
    `SAGApplicationException` - upon error.

### setRenameToFileStyle

    void setRenameToFileStyle(java.lang.String renameToFileStyle)
                              throws SAGApplicationException

  Sets the Rename To file style (Pattern or Literal).

  Parameters:
    `renameToFileStyle` - The Rename To file style
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validate method.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.